Eventum Logo

Eventum

RepositoriesNameCatalog

Get Catalog

Get the catalog of generators published by the repository with specified name. The repository is fetched when it has not been fetched yet.

GET
/repositories/{name}/catalog

Path Parameters

name*Name

Name of the connected repository

Length1 <= length

Response Body

application/json

application/json

curl -X GET "https://loading/api/repositories/string/catalog"
{
  "revision": "string",
  "refreshed_at": "2019-08-24T14:15:22Z",
  "committed_at": "2019-08-24T14:15:22Z",
  "author": "string",
  "entries": [
    {
      "name": "string",
      "path": "string",
      "title": "string",
      "summary": "string",
      "file_count": 0,
      "size": 0,
      "installed_as": [
        {
          "project": "string",
          "revision": "string",
          "installed_at": "2019-08-24T14:15:22Z",
          "outdated": true
        }
      ]
    }
  ]
}
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
Empty
Empty